> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/enums/elicensetype.md).

# ELicenseType

<table><thead><tr><th>Name</th><th>Description</th><th width="100">Value</th></tr></thead><tbody><tr><td>Activation</td><td>Generic Activation Key</td><td>'A'</td></tr><tr><td>ComputerName</td><td>Computer Bound (computer name) Key</td><td>'C'</td></tr><tr><td>Evaluation</td><td>Generic Evaluation Key</td><td>'E'</td></tr><tr><td>Generic</td><td>Generic Permanent Key</td><td>'G'</td></tr><tr><td>PermanentCloudActivation</td><td>Permanent Cloud Activation Key</td><td>'R'</td></tr><tr><td>PermanentCloudComputerKey</td><td>Permanent Cloud Computer Key</td><td>'W'</td></tr><tr><td>PermanentComputerKey</td><td>Permanent Computer Key</td><td>'U'</td></tr><tr><td>PermanentFloatingActivation</td><td>Permanent Floating Activation Key</td><td>'K'</td></tr><tr><td>PermanentFloatingComputerKey</td><td>Permanent Floating Computer Key</td><td>'N'</td></tr><tr><td>SubscriptionActivation</td><td>Subscription Activation Key</td><td>'F'</td></tr><tr><td>SubscriptionCloudActivation</td><td>Subscription Cloud Activation Key</td><td>'T'</td></tr><tr><td>SubscriptionCloudComputerKey</td><td>Subscription Cloud Computer Key</td><td>'Y'</td></tr><tr><td>SubscriptionComputerKey</td><td>Subscription Computer Key</td><td>'J'</td></tr><tr><td>SubscriptionFloatingActivation</td><td>Subscription Floating Activation Key</td><td>'M'</td></tr><tr><td>SubscriptionFloatingComputerKey</td><td>Subscription Floating Computer Key</td><td>'Q'</td></tr><tr><td>TrialActivation</td><td>Trial Activation Key</td><td>'B'</td></tr><tr><td>TrialCloudActivation</td><td>Trial Cloud Activation Key</td><td>'S'</td></tr><tr><td>TrialCloudComputerKey</td><td>Trial Cloud Computer Key</td><td>'X'</td></tr><tr><td>TrialComputerKey</td><td>Trial Computer Key</td><td>'V'</td></tr><tr><td>TrialComputerName</td><td>Trial Computer Name</td><td>'D'</td></tr><tr><td>TrialFloatingActivation</td><td>Trial Floating Activation Key</td><td>'L'</td></tr><tr><td>TrialFloatingComputerKey</td><td>Trial Floating Computer Key</td><td>'P'</td></tr><tr><td>UserDefined</td><td>Computer Bound (user-defined) Key</td><td>'U'</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/enums/elicensetype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
